curl --request GET \
--url https://api.cozmox.ai/knowledge-base \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cozmox.ai/knowledge-base"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cozmox.ai/knowledge-base', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"provider": "trieve",
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"searchPlan": {
"searchType": "fulltext",
"topK": 123,
"removeStopWords": true,
"scoreThreshold": 123
},
"createPlan": {
"type": "import",
"providerId": "<string>"
}
}
]List Knowledge Bases
Authorizations
Retrieve your API Key from Dashboard [blocked].
Query Parameters
This is the maximum number of items to return. Defaults to 100.
0 <= x <= 1000This will return items where the createdAt is greater than the specified value.
This will return items where the createdAt is less than the specified value.
This will return items where the createdAt is greater than or equal to the specified value.
This will return items where the createdAt is less than or equal to the specified value.
This will return items where the updatedAt is greater than the specified value.
This will return items where the updatedAt is less than the specified value.
This will return items where the updatedAt is greater than or equal to the specified value.
This will return items where the updatedAt is less than or equal to the specified value.
Response
- TrieveKnowledgeBase
- CustomKnowledgeBase
This knowledge base is provided by Trieve.
To learn more about Trieve, visit https://trieve.ai.
trieve This is the id of the knowledge base.
This is the org id of the knowledge base.
This is the name of the knowledge base.
This is the searching plan used when searching for relevant chunks from the vector store.
You should configure this if you're running into these issues:
- Too much unnecessary context is being fed as knowledge base context.
- Not enough relevant context is being fed as knowledge base context.
Show child attributes
Show child attributes
This is the plan if you want us to create/import a new vector store using Trieve.
Show child attributes
Show child attributes